Bug 965837 - RFE: Ability to change or update "Writer" tag after topic creation (alternate title: more accurate authorgroup).
RFE: Ability to change or update "Writer" tag after topic creation (alternate...
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On: 845415
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 16:10 EDT by Stephen Gordon
Modified: 2013-06-25 03:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-05-21 16:10:53 EDT
Description of problem:

I recently used csprocessor to create a content specification, at the time I didn't know who would be writing the topics so implicitly tagged them all (at the top of the spec) as Writer=sgordon.

Now we have written the "book" but the only people receiving props in the authorgroup are myself and jwulf who wrote a few topics I scavenged from another product. The names of the other five people with content in these topics are omitted (I would have thought updating a topic would count but possibly not).

I know at least one of these writers has entered their author info when making a change so should be tracked on some of the topic revisions that appear in the book but that doesn't appear to filter through to the authorgroup.

When I attempted to change the Writer tag of the topics making up each chapter based on who actually wrote them the csprocessor informed me that pushing this was not possible because changing the writer tag was not allowed.

I guess the TL;DR is I want an automated way to have an accurate authorgroup, whether that is via the ability to reset/update the writer tag or by having the system use the information from topic updates when building the authorgroup.
Comment 1 Lee Newson 2013-05-26 21:44:42 EDT
As you said the better alternative is to have the author group populated from the log details, however since there isn't any authentication this can't be relied upon atm.

FWIW, heres a workaround until you can change it via a Content Spec:

1. Open the PressGang CCMS UI for the topics you want to change.
2. Select a topic and then select the "Tags" tab.
3. Remove your assigned writer tag and add the person who wrote the content.
4. Save the changes and then repeat steps 2-4 until all topics are done. (Alternatively you could use the bulk tagging to get this done as well, though I'm not sure how it works anymore, so you may not be able to remove your assigned writer tag)
Comment 2 Lee Newson 2013-06-25 03:03:56 EDT
I had a look at this, this afternoon and I'll have to talk to the team about what syntax/functionality to use when adding/removing a Writer.

The main reason is the global writer parameter is set to the user who creates the Content Spec and that means that all topics in the content spec will be given that writer tag. So perhaps what we need is something like:

Overwrite (or add if none are set): "Writer = lnewson"
Remove: "Writer = -lnewson"
Add: "Writer = +lnewson"

(The above is very similar to the way normal tags are handled)

With the above "Overwrite" wouldn't work via inheritance though, due to the issue I initially mentioned, but the others would be inherited.

Example spec:

Title = My Book
...

[Writer = lnewson]
Chapter: Introduction [Writer = +sgordon]
  Some Topic [3737]
  Another Topic [123]

...

Chapter: Middle Content
  New Topic [N, Concept]

...

Chapter: Conclusion
  Some Topic that needs to be reassigned [456, Writer = sgordon]


So in the above the first two topics would get "sgordon" added as the assigned writer, along with the original writer. The new topic would have "lnewson" as the assigned writer and the last topic would remove any current assigned writers and set it to "sgordon".

The overwrite mechanism I'm a bit unsure atm though, due to how easy it would be to remove all the writers un-intentionally, so perhaps it's better left just for new topics.

Note You need to log in before you can comment on or make changes to this bug.